﻿@model eCommerce.Services.Model.Refund
@using eCommerce.Services.Model
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Devolución";
    Layout = "~/Views/Shared/_Layout.cshtml";

    List<Stock> stocks = null;
    if (TempData["Stocks"] != null)
    {
        stocks = (List<Stock>)TempData["Stocks"];
    }
}


<div class="page-header">
    <h1 class="page-title">Devolución</h1>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("RefundUpdate", "Refunds", FormMethod.Post, new { @class = "validation", @autocomplete = "off" }))
                    {
                        <div class="row">
                            <div class="form-group col-sm-3">
                                <label class="control-label">Fecha</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="icon wb-calendar" aria-hidden="true"></i>
                                    </span>
                                    <input type="text" class="form-control" name="Created" value="@(Model.Created.HasValue && Model.Created != DateTime.MinValue ? Model.Created.Value.ToShortDateString() : DateTime.Today.ToShortDateString())" data-plugin="datepicker" />
                                </div>
                            </div>
                            <div class="form-group col-sm-3">
                                <label class="control-label">Cliente</label>
                                <select class="form-control" name="CustomerId" id="CustomerId" data-plugin="select2">
                                    <option value="@string.Empty"></option>
                                    @if (TempData["Customers"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["Customers"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                                <input type="hidden" id="UserType" value="" />
                            </div>
                            <div class="form-group col-sm-3">
                                <label class="control-label">Lista de precios</label>
                                <select class="form-control" name="CustomerPrice" id="CustomerPrice" data-plugin="select2">
                                    <option value="1">Precio actual</option>
                                    <option value="2">Precio anterior</option>    
                                </select>
                                <input type="hidden" id="UserType" value="" />
                            </div>
                            <div class="form-group col-sm-3">
                                <label class="control-label">Deposito</label>
                                <select class="form-control" name="DepositId" id="DepositId" data-plugin="select2">
                                    <option value="@string.Empty"></option>
                                    @if (TempData["Deposits"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["Deposits"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label">Observaciones Generales</label>
                            <textarea class="form-control" name="Observation" rows="2">@Model.Observation</textarea>
                        </div>
                        
                        <div class="form-group">
                            <div class="row">
                                <div class="col-sm-6">
                                    <h4>Detalle de la Devolución</h4>
                                </div>
                                <div class="col-sm-6">
                                    <div class="text-right">
                                        <h4>Lista de Precios: <span id="PriceList">  @(Model.Customer != null ? ((PriceListEnum)Model.Customer.PriceList).ToString() : "- Ingrese un Cliente -")</span></h4>
                                        <input type="hidden" id="CustomerPriceList" value="@(Model.Customer != null ? Model.Customer.PriceList.ToString() : "1")" />
                                    </div>
                                </div>
                            </div>

                            <table class="table table-bordered table-hover table-striped" id="productsTable">
                                <thead>
                                    <tr>
                                        <th class="col-sm-3">Código de Producto</th>
                                        <th class="col-sm-1 text-center">Talle</th>
                                        <th class="col-sm-2 text-center">Color</th>
                                        <th class="col-sm-1 text-center">Cantidad</th>
                                        <th class="text-center no-wrap">Precio</th>
                                        <th class="text-center no-wrap" >Desc.(%)</th>
                                        <th class="col-sm-2 text-center">Total</th>
                                        <th class="text-center"></th>
                                    </tr>
                                </thead>
                                <tbody>

                                @{int i = 1;}
                                @foreach (var item in Model.RefundDetails)
                                {
                                    <tr>
                                        <td>
                                            <select class="form-control" name="ProductId_@i" id="ProductId_@i" data-plugin="select2" onchange="GetSizesAndPrices('@i');" style="max-width:400px !important;">
                                                @if (TempData["Products"] != null)
                                                {
                                                    var prod = ((SelectList)TempData["Products"]).FirstOrDefault(x => x.Value == item.ProductId.ToString());
                                                    <option value="@prod.Value" selected="selected">@prod.Text</option>
                                                }
                                            </select>
                                        </td>
                                        <td>
                                            <select class="form-control select-required" name="SizeId_@i" id="SizeId_@i" data-plugin="select2" onchange="GetColors('@i');" style="max-width:400px !important;">
                                                @if (TempData["Sizes"] != null)
                                                {
                                                    var size = ((SelectList)TempData["Sizes"]).FirstOrDefault(x => x.Value == item.SizeId.ToString());
                                                    <option value="@size.Value" selected="selected">@size.Text</option>
                                                }
                                            </select>
                                        </td>
                                        <td>
                                            <select class="form-control select-required" name="ColorId_@i" id="ColorId_@i" data-plugin="select2" style="max-width:400px !important;">
                                                @if (TempData["Colors"] != null)
                                                {
                                                    var color = ((SelectList)TempData["Colors"]).FirstOrDefault(x => x.Value == item.ColorId.ToString());
                                                    <option value="@color.Value" selected="selected">@color.Text</option>
                                                }
                                            </select>
                                        </td>
                                        <td>
                                            <input type="text" name="Quantity_@i" id="Quantity_@i" class="form-control input-block text-right text-required" value="@item.Quantity" onchange="setSubTotalItem('@i')" />
                                            <input type="hidden" name="RefundDetailId_@i" value="@item.RefundDetailId">
                                        </td>
                                        <td>
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="text" name="Price_@i" id="Price_@i" class="form-control input-block text-right text-required" value="@item.Price" onchange="setSubTotalItem('@i')" />
                                                <input type="hidden" id="CurrentPrice_@i" value="@item.Price"/>
                                                <input type="hidden" id="OldPrice_@i" value="@((item.Product.CustomerOldPrice.HasValue && item.Product.CustomerOldPrice.Value >0)? item.Product.CustomerOldPrice.Value : item.Product.CustomerPrice)"/>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="input-group">
                                                <span class="input-group-addon">%</span>
                                                <input type="text" class="form-control text-right discount" name="RefundDetailDiscount_@i" id="Discount_@i" placeholder="0,00" value="@item.Discount" onchange="setSubTotalItem('@i')">
                                            </div>
                                        </td>
                                        <td>
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="text" class="form-control subtotal text-right" name="Subtotal_@i" id="Subtotal_@i" placeholder="0,00" value="@item.SubTotalWithDiscount" readonly>
                                            </div>
                                        </td>
                                        <td class="actions text-center" style="vertical-align:middle;border-right-width:1px;">
                                            <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row" data-RefundDetailId="@item.RefundDetailId" data-toggle="tooltip" data-original-title="Borrar"><i class="icon wb-trash" aria-hidden="true"></i></a>
                                        </td>
                                    </tr>
                                    i++;

                                    }
                                </tbody>
                                <tfoot>
                                    <tr class="active">
                                        <td>
                                            <button id="addToTable" class="btn btn-outline btn-primary" type="button">
                                                <i class="icon wb-plus" aria-hidden="true"></i> Agregar Producto
                                            </button>
                                        </td>
                                        <td class="text-right bold"  colspan="5" style="font-weight:bold;vertical-align:middle;">SUBTOTAL</td>
                                        <td>
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="text" class="form-control text-right" name="subtotal" id="subtotal" placeholder="0,00" value="" readonly>
                                            </div>
                                        </td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td class="text-right bold" colspan="5" style="font-weight:bold;vertical-align:middle;">DESCUENTO</td>
                                        <td>
                                            <div class="input-group">
                                                <span class="input-group-addon">%</span>
                                                <input type="text" class="form-control text-right" name="Discount_Percent" id="Discount_Percent" placeholder="0,00" value="@Model.Discount_Percent" onchange="setDiscount();">
                                            </div>
                                        </td>
                                        <td>
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="text" class="form-control text-right" name="Discount" id="Discount" placeholder="0,00" value="@(string.Format("{0:n2}",Model.Discount))" readonly>
                                            </div>
                                        </td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td class="text-right bold" colspan="5" style="font-weight:bold;vertical-align:middle;">RECARGO</td>
                                        <td>
                                            <div class="input-group">
                                                <span class="input-group-addon">%</span>
                                                <input type="text" class="form-control text-right" name="Surcharge" id="Surcharge" placeholder="0,00" value="@Model.Surcharge" onchange="setTaxes();">
                                            </div>
                                        </td>
                                        <td>
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="text" class="form-control text-right" name="SurchargeAmount" id="SurchargeAmount" placeholder="0,00" value="@Model.SurchargeAmount" readonly>
                                            </div>
                                        </td>
                                        <td></td>
                                    </tr>
                                    <tr class="active">
                                        <td class="text-right bold" colspan="6" style="font-weight:bold;vertical-align:middle;">TOTAL</td>
                                        <td>
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="text" class="form-control text-right" name="Amount" id="Total" placeholder="0,00" value="@string.Format("{0:0.00}",Model.Amount)" readonly>
                                            </div>
                                        </td>
                                        <td></td>
                                    </tr>
                                </tfoot>
                                </table>
                            </div>
                            <div class="row form-group text-right">
                                <button class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                                <button class="btn btn-default" onclick="window.location = '/Refunds';">Cancelar</button>
                                @Html.HiddenFor(model => model.RefundId)
                                <input type="hidden" id="DeletedItems" name="DeletedItems" />
                            </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            //Datos Orden
            $('.validation').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Created: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Fecha es requerido.'
                            }
                        }
                    },
                    CustomerId: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Cliente es requerido.'
                            }
                        }
                    },
                    DepositId: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Deposito es requerido.'
                            }
                        }
                    }
                }
            });

            @*$('[id^="Price_"]').val("@item.OldPrice");*@

        });

        $(document).ready(function ()
        {
            $("#addToTable").click(function ()
            {
                if ($("#CustomerId").val() != '')
                {
                    $('#CustomerId').change();
                    var row_number = $("#productsTable tr").length;

                    var row = [
                        '<tr>',
                            '<td><select style="width:100%;" class="form-control" name="ProductId_' + row_number + '" id="ProductId_' + row_number + '" data-plugin="select2" onchange="GetSizesAndPrices(' + row_number + ');"><option value=""></option></select></td>',
                            '<td><select style="width:100%;" class="form-control select-required" name="SizeId_' + row_number + '" id="SizeId_' + row_number + '" data-plugin="select2" onchange="GetColors(' + row_number + ');"><option value=""></option></select></td>',
                            '<td><select style="width:100%;" class="form-control select-required" name="ColorId_' + row_number + '" id="ColorId_' + row_number + '" data-plugin="select2"><option value=""></option></select></td>',
                            '<td>',
                                '<input type="text" name="Quantity_' + row_number + '" id="Quantity_' + row_number + '" class="form-control input-block text-right text-required" onchange="setSubTotalItem(' + row_number + ');" placeholder="0" />',
                                '<input type="hidden" name="RefundDetailId_' + row_number + '" value="-1">',
                            '</td>',
                            '<td>',
                            '<div class="input-group">',
                            '<span class="input-group-addon">$</span>',
                                 '<input type="text" name="Price_' + row_number + '" id="Price_' + row_number + '" class="form-control input-block text-right text-required" onchange="setSubTotalItem(' + row_number +');" placeholder="0" />',
                                 '<input type="hidden" id="CurrentPrice_' + row_number + '" value=""/>',
                                 '<input type="hidden" id="OldPrice_' + row_number + '" value=""/>',
                           '</div>',
                           '</td>',
                           '<td>',
                                '<div class="input-group">',
                                    '<span class="input-group-addon">%</span>',
                                    '<input type="text" class="form-control text-right discount" name="RefundDetailDiscount_' + row_number + '" id="Discount_' + row_number + '" placeholder="0,00" value="" onchange="setSubTotalItem(' + row_number + ')">',
                                '</div>',
                           '</td>',
                           '<td>',
                                '<div class="input-group">',
                                    '<span class="input-group-addon">$</span>',
                                    '<input type="text" class="form-control subtotal text-right" name="Subtotal_' + row_number + '" id="Subtotal_' + row_number + '" placeholder="0,00" value="" readonly>',
                                '</div>',
                           '</td>',
                            '<td class="actions text-center vertical-align"><a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row" data-toggle="tooltip" data-original-title="Borrar" style="vertical-align:middle;"><i class="icon wb-trash" aria-hidden="true"></i></a>',
                            '<input type="hidden" id="Stock_' + row_number + '" name="Stock_' + row_number + '" /></td>',
                        '</tr>'
                    ].join(' ');

                    $("#productsTable").append(row);

                    var products = $("#ProductId_" + row_number);

                    GetProducts(products);

                    $("#ProductId_" + row_number).select2();
                    $("#SizeId_" + row_number).select2();
                    $("#ColorId_" + row_number).select2();
                }
                else
                {
                    toastr.warning("Primero debe seleccionar un Cliente.")
                }
            });

            $("#productsTable").on('click', '.remove-row', function () {
                var item = $(this);
                var refundDetailId = $(this).attr("data-RefundDetailId");

                updateDeletedItems(refundDetailId)
                $(this).parent().parent().remove();
                setSubTotal();
            });

            if ($("#OrderId").val() > 0)
                setSubTotal();

            $('#CustomerId').change(function(){
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/Products/GetUserType",
                    data: { customerId: $(this).val() },
                    success: function (data)
                    {
                        $("#UserType").val(data.UserType);
                        $("#PriceList").text(data.PriceList);

                    }
                });
            });
            setSubTotal();
        });

        function updateDeletedItems(refundDetailId)
        {
            if (refundDetailId != "-1")
            {
                var ids = $("#DeletedItems").val();
                $("#DeletedItems").val(ids + refundDetailId + ",");
            }
        }

        function setSubTotalItem(row_number)
        {
            var price = $("#Price_" + row_number).val().replace(',', '.');
            var quantity = $("#Quantity_" + row_number).val().replace(',', '.');
            var discount = $("#Discount_" + row_number).val().replace(',', '.');

            if (price !== "" && quantity != "")
            {
                var subtotal = parseFloat(price) * parseFloat(quantity);

                var discount_val = 0;
                if (discount != '' && discount > 0)
                {
                    discount_val = subtotal * (discount / 100);
                    $("#Discount_" + row_number).css("box-shadow", "");
                    $("#Discount_" + row_number).css("border", "");
                }
                else
                {
                    if (discount != '' && discount > 0) {
                        $("#Discount_" + row_number).css("box-shadow", "0 0 5px rgb(228, 21, 21)");
                        $("#Discount_" + row_number).css("border", "1px solid rgb(228, 21, 21)");
                    }
                }


                subtotal = subtotal - discount_val;
                $("#Subtotal_" + row_number).val(subtotal.toFixed(2));

                setSubTotal();
            }
            else
                $("#Subtotal_" + row_number).val("")
        }

        function setSubTotal()
        {
            var subtotal = 0;
            $(".subtotal").each(function ()
            {
                if ($(this).val().trim() != "")
                    subtotal += parseFloat($(this).val().replace(",","."));
            });

            $("#subtotal").val(subtotal.toFixed(2));

            setDiscount();
        }

        function setDiscount()
        {
            var subtotal = parseFloat($("#subtotal").val()).toFixed(2);

            var discount_percent = $("#Discount_Percent").val().replace(',', '.').trim();
            if (discount_percent != "")
            {
                discount_percent = parseFloat(discount_percent);
                var discount = subtotal * discount_percent / 100;
                $("#Discount").val(discount.toFixed(2));
            }
            else
                $("#Discount").val("");

            setTaxes();
        }

        function setTaxes()
        {
            var subtotal = parseFloat($("#subtotal").val());

            var discount = 0;
            if ($("#Discount").val().trim() != '')
                discount = parseFloat($("#Discount").val());

            if (discount != NaN && discount != 0)
                subtotal = subtotal - discount;

            setSurcharge();
            setTotal(subtotal);
        }

        function setSurcharge()
        {
            var subtotal = parseFloat($("#subtotal").val());
            var surcharge = $("#Surcharge").val().replace(",", ".").trim();

            var discount = 0;
            if ($("#Discount").val().trim() != '')
                discount = parseFloat($("#Discount").val());

            if (discount != NaN && discount != 0)
                subtotal = subtotal - discount;

            if (surcharge != "")
            {
                surcharge = parseFloat(surcharge);
                var surcharge_amount = subtotal * (surcharge / 100);
                $("#SurchargeAmount").val(surcharge_amount.toFixed(2));
            }
            else
                $("#SurchargeAmount").val("");
        }

        function setTotal(subTotal)
        {
            var total = subTotal;

            $(".tax").each(function () {
                if ($(this).val().trim() != "")
                    total += parseFloat($(this).val());
            });

            if ($("#SurchargeAmount").val().trim() != "") {
                total += parseFloat($("#SurchargeAmount").val());
            }

            $("#Total").val(total.toFixed(2));
        }

        function GetProducts(control)
        {
            $.ajax({
                type: "GET",
                cache: false,
                url: "/Products/GetProductsToSale",
                data: $(this).serializeArray(),
                success: function (data)
                {
                    control.empty();
                    control.append($('<option value=""></option>'));
                    $.each(data, function (index, item) {
                        control.append($('<option value=' + item.ProductId + '>' + item.Code + ' - ' + item.Title + '</option>'));
                    });
                }
            });
        }

        function GetSizesAndPrices(row_number)
        {
            if ($("#ProductId_" + row_number).val() != '')
            {
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/Products/GetProductSizesAndPricesToSale",
                    data: { ProductId: $("#ProductId_" + row_number).val(), UserType: $("#UserType").val(), PriceList : $('#CustomerPrice').val() },
                    success: function (data)
                    {
                        control = $("#SizeId_" + row_number);
                        control.empty();
                        control.select2();
                        control.append($('<option value=""></option>'));

                        $.each(data.Sizes, function (index, item) {
                            control.append($('<option value=' + item.SizeId + '>' + item.Description + '</option>'));
                        });

                        control = $("#CurrentPrice_" + row_number);
                        control.val(data.Price);

                        control = $("#OldPrice_" + row_number);
                        control.val(data.OldPrice);
                        control = $("#Price_" + row_number);

                        if ($('#CustomerPrice').val() == 1) {
                            control.val(data.Price);
                            control.change();
                        }
                        else {
                            control.val(data.OldPrice);
                            control.change();
                        }

                        control = $("#ColorId_" + row_number);
                        control.empty();
                        control.select2();

                        //cleanRowData(row_number);
                    }
                });
            }
            else
            {
                toastr.warning("Debe seleccionar un Producto.");
            }
        }

        $('#CustomerPrice').change(function()
        {
            var option = $('#CustomerPrice option:selected').val();

            $("[id^=Price_]").each(function(i, el)
            {
                var index = $(el).attr('id').split('_')[1];
                if (option == 1) {
                    var price = $("#CurrentPrice_" + index).val();
                } else {
                    var price = $("#OldPrice_" + index).val();
                }
                $(el).val(price);
                $(el).change();
            });
        });

        function GetColors(row_number)
        {
            $.ajax({
                type: "GET",
                cache: false,
                url: "/Products/GetProductColorsToSale",
                data: { ProductId: $("#ProductId_" + row_number).val(), SizeId: $("#SizeId_" + row_number).val() },
                success: function (data)
                {
                    control = $("#ColorId_" + row_number);
                    control.empty();
                    control.select2();

                    control.append($('<option value=""></option>'));
                    $.each(data, function (index, item) {
                        control.append($('<option value=' + item.ColorId + '>' + item.Description + '</option>'));
                    });

                    //cleanRowData(row_number);
                }
            });
        }

        function CheckWarranty(txt)
        {
            var row_number = $(txt).attr("data-row-number");

            $.ajax({
                type: "GET",
                cache: false,
                url: "/Rma/CheckProductWarranty",
                data: { productSku: $(txt).val() },
                success: function (data)
                {
                    if (data.IsInWarranty)
                    {
                        $("#IsInWarranty_" + row_number).html('<i class="icon wb-check" aria-hidden="true" data-toggle="tooltip" data-original-title="En garantía"></i>');
                        $("#ProductId_" + row_number).val(data.ProductId);
                        $("#Stock_" + row_number).text(data.Stock);
                        //$("#FaultDescription_" + row_number).enabled(true);
                        //Add controls
                    }
                    else
                    {
                        $("#IsInWarranty_" + row_number).html('<i class="icon fa-ban" aria-hidden="true" data-toggle="tooltip" data-original-title="Fuera de garantía"></i>');
                        //Remove Controls
                        //$("#FaultDescription_" + row_number).enabled(false);
                    }
                }
            });
        }

        function CheckStock(row_number)
        {
            var stock = $("#Stock_" + row_number).text();
            var resolution = $("#ResolutionId_" + row_number).val();

            if(resolution == @((int)RmaResolutionEnum.Reposicion) && stock <= 1)
            {
                toastr.error("No hay stock suficiente para reemplazar el producto.");
            }
        }

        function cleanRowData(row_number) 
        {
            //$("#Price_" + row_number).val("");
        }

        function EnableFields(status)
        {

        }

        function OpenModal(rmaId, rmaItemId)
        {
            $("#RmaItemUpdate").modal();

            $.ajax({
                url: "/Rma/RmaItemUpdate/",
                type: "GET",
                data: { rmaId: rmaId, rmaItemId: rmaItemId},
                success: function (data, textStatus, jqXHR)
                {
                    $('.modal-body').html(data);
                }
            });
        }

        function CheckWarranty(txt) {

            $.ajax({
                type: "GET",
                cache: false,
                url: "/Rma/CheckProductWarranty",
                data: { productSku:  $(txt).val() },
                success: function (data) {
                    if (data.IsInWarranty) {
                        $("#IsInWarranty").html('<i class="icon fa-check" aria-hidden="true" data-toggle="tooltip" data-original-title="En garantia"></i>');
                        $("#ProductId").val(data.ProductId);
                        $("#FaultDescription").prop("disabled", false);
                        $("#CompanyResponse").prop("disabled", false);
                        $("#ResolutionId").prop("disabled", false);
                    }
                    else {
                        $("#IsInWarranty").html('<i class="icon fa-ban" aria-hidden="true" data-toggle="tooltip" data-original-title="Fuera de garantia"></i>');
                        $("#FaultDescription").prop("disabled", true);
                        $("#CompanyResponse").prop("disabled", true);
                        $("#ResolutionId").prop("disabled", true);
                    }
                }
            });
        }

        function CheckRepair()
        {
            if ($("#ResolutionId").val() == '@((int)RmaResolutionEnum.Reparacion)')
            {
                $(".repair").show();
            }
            else
            {
                $(".repair").hide();
            }
        }

        function guardarDatos() {
            var newRmaItem = {
                RmaItemId: null,
                ProductSku: null,
                FaultDescription: null,
                ResolutionId: null,
                CompanyResponse: null,
                ProductId: null,
                RmaId: null
            }
            var newTransaction = {
                Amount: null,
                CurrencyId: null
            }

            newRmaItem.RmaItemId = $("#RmaItemId").val();
            newRmaItem.ProductSku = $('#ProductSku').val();
            newRmaItem.FaultDescription = $('#FaultDescription').val();
            newRmaItem.ResolutionId = $('#ResolutionId').val();
            newRmaItem.CompanyResponse = $('#CompanyResponse').val();
            newRmaItem.ProductId = $('#ProductId').val();
            newRmaItem.RmaId = $('#RmaId').val();

            newTransaction.Amount = $("#RepairCost").val();
            newTransaction.CurrencyId = $("#CurrencyId").val();

            $.ajax({
                cache: false,
                data: { newRmaItem: newRmaItem, newTransaction: newTransaction  },
                datatype: "text",
                method: "POST",
                success: function (result) { actualizarPartial(result); },
                url: "/Rma/RmaItemUpdate"
            });
        };

        function actualizarPartial(RmaId)
        {
            if (RmaId != -1) {
                $.ajax({
                    cache: false,
                    data: { RmaId: RmaId },
                    datatype: "text",
                    method: "GET",
                    success: function (result) {
                        $("#RmaItemList").html(result);
                    },
                    url: "/Rma/RmaItemListRefresh"
                });
            }

        }

        //Datos nuevo rma item
        $('#modalRmaItem').formValidation({
            framework: "bootstrap",
            button: {
                selector: '#btnModalRmaItem'
            },
            icon: null,
            fields: {
                ProductSku: {
                    validators: {
                        notEmpty: {
                            message: 'Ingrese el Sku del producto.'
                        }
                    }
                },
                FaultDescription: {
                    validators: {
                        notEmpty: {
                            message: 'Ingrese una descripción de la falla.'
                        }
                    }
                },
                ResolutionId: {
                    validators: {
                        notEmpty: {
                            message: 'Seleccione el Tipo de Resolución'
                        }
                    }
                },
                CompanyResponse: {
                    validators: {
                        notEmpty: {
                            message: 'Ingrese una respuesta de la compania'
                        },
                    }
                }
            }
        });

    </script>
}

